<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>br.com.senac.academicNet</groupId>
	<artifactId>spring-5_academicNetWar</artifactId>
	<packaging>war</packaging>
	<name>Modulo Web do AcademicNet</name>
	<version>0.0.1-SNAPSHOT</version>

	<developers>
		<developer>
			<id>1</id>
			<name>Marcos Feijo</name>
			<email>ymfeijo@yahoo.com.br</email>
			<url>www.embratel.com.br</url>
			<timezone>-3.00</timezone>
		</developer>
	</developers>

	<pluginRepositories>
		<pluginRepository>
			<id>codehaus snapshot repository</id>
			<name>Cargo Plugin para Maven 2</name>
			<url>http://snapshots.repository.codehaus.org/
			</url>
			<releases>
				<enabled>true</enabled>
			</releases>
		</pluginRepository>
	</pluginRepositories>

	<build>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<configuration>
					<source>1.5</source>
					<target>1.5</target>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.codehaus.mojo</groupId>
				<artifactId>tomcat-maven-plugin</artifactId>
				<version>1.0-alpha-1</version>
				<configuration>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.codehaus.cargo</groupId>
				<artifactId>cargo-maven2-plugin</artifactId>
				<version>0.3-SNAPSHOT</version>
			</plugin>
			<plugin>
				<artifactId>maven-surefire-plugin</artifactId>
				<version>2.4.3</version>
				<configuration>
					<skip>true</skip>
				</configuration>
				<executions>
					<execution>
						<phase>integration-test</phase>
						<goals>
							<goal>test</goal>
						</goals>
						<configuration>
							<skip>false</skip>
						</configuration>
					</execution>
				</executions>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-verifier-plugin</artifactId>
				<version>1.0-beta-1</version>
				<configuration>
					<verificationFile>
						verifications-test.xml
					</verificationFile>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.codehaus.mojo</groupId>
				<artifactId>selenium-maven-plugin</artifactId>
				<version>1.0-rc-1</version>
				<executions>
					<execution>
						<id>start</id>
						<phase>pre-integration-test</phase>
						<goals>
							<goal>start-server</goal>
						</goals>
						<configuration>
							<background>true</background>
						</configuration>
					</execution>
				</executions>
			</plugin>
		</plugins>
	</build>

	<dependencies>
		<dependency>
			<groupId>br.com.senac.academicNet</groupId>
			<artifactId>spring-5_academicNetJar</artifactId>
			<version>${project.version}</version>
		</dependency>
		<dependency>
			<groupId>javax.servlet</groupId>
			<artifactId>jstl</artifactId>
			<version>1.1.2</version>
		</dependency>
		<dependency>
			<groupId>taglibs</groupId>
			<artifactId>standard</artifactId>
			<version>1.1.2</version>
		</dependency>
		<dependency>
			<groupId>tomcat</groupId>
			<artifactId>jsp-api</artifactId>
			<version>5.5.15</version>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<version>4.5</version>
		</dependency>
		<dependency>
			<groupId>org.codehaus.mojo</groupId>
			<artifactId>selenium-maven-plugin</artifactId>
			<version>1.0-rc-1</version>
			<type>maven-plugin</type>
		</dependency>
		<dependency>
			<groupId>org.openqa.selenium</groupId>
			<artifactId>selenium-rc</artifactId>
			<version>1.0-20081010.060147</version>
			<type>pom</type>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring</artifactId>
			<version>2.5.5</version>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-webmvc</artifactId>
			<version>2.5.5</version>
		</dependency>
	</dependencies>

	<profiles>
		<profile>
			<id>tomcat5x</id>
			<activation>
				<activeByDefault>true</activeByDefault>
			</activation>
			<build>
				<plugins>
					<plugin>
						<groupId>org.codehaus.cargo</groupId>
						<artifactId>cargo-maven2-plugin</artifactId>
						<configuration>
							<wait>false</wait>
							<container>
								<containerId>tomcat5x</containerId>
								<zipUrlInstaller>
									<url>
										http://mirrors.uol.com.br/pub/apache/tomcat/tomcat-5/v5.5.27/bin/apache-tomcat-5.5.27.zip
									</url>
									<installDir>
										${installDir}
									</installDir>
								</zipUrlInstaller>
								<output>
									${project.build.directory}/tomcat5x.log
								</output>
								<log>${project.build.directory}/cargo.log
								</log>
							</container>
							<configuration>
								<home>
									${project.build.directory}/tomcat5x/container
								</home>
								<properties>
									<cargo.logging>high</cargo.logging>
									<cargo.servlet.port>8081</cargo.servlet.port>
								</properties>
							</configuration>
						</configuration>
						<executions>
							<execution>
								<id>start-container</id>
								<phase>pre-integration-test</phase>
								<goals>
									<goal>start</goal>
									<goal>deploy</goal>
								</goals>
							</execution>
							<execution>
								<id>stop-container</id>
								<phase>post-integration-test</phase>
								<goals>
									<goal>stop</goal>
								</goals>
							</execution>
						</executions>
					</plugin>
				</plugins>
			</build>
		</profile>
	</profiles>
</project>
